spring:
  autoconfigure:
    exclude: org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration
  application:
    name: order-management-service
  config:
    import: optional:configserver:http://localhost:8071/
  profiles:
    active:
      - default
  r2dbc:
    url: r2dbc:pool:postgresql://localhost:4433/order_management
    username: postgres
    password: password
  security:
    oauth2:
      client:
        registration:
          keycloak:
            authorization-grant-type: client_credentials
#            client-id: ${KEYCLOAK_CLIENT_ID}
#            client-secret: ${KEYCLOAK_CLIENT_SECRET}
#            authorization-grant-type: password
#            username: dayan
#            password: xcom123
            client-id: myclient
            client-secret: xmmLi7dxS23QxdrvV89ilxzGUYKEa9BM
            token-uri: https://saintrivers.tech/auth/realms/myrealm/protocol/openid-connect/token
        provider:
          keycloak:
            issuer-uri: https://saintrivers.tech/auth/realms/myrealm/
            jwk-set-uri: https://saintrivers.tech/auth/realms/myrealm/protocol/openid-connect/certs
      resourceserver:
        jwt:
          issuer-uri: https://saintrivers.tech/auth/realms/myrealm
          jwk-set-uri: https://saintrivers.tech/auth/realms/myrealm/protocol/openid-connect/certs


server:
  port: 8081

springdoc:
  swagger-ui:
    operations-sorter: method
    tags-sorter: alpha

management:
  endpoints:
    web:
      exposure:
        include: "*"
